---
title: WebGL2RenderingContext.vertexAttribDivisor()
slug: Web/API/WebGL2RenderingContext/vertexAttribDivisor
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.vertexAttribDivisor()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> modifies the rate at which generic vertex attributes advance when rendering multiple instances of primitives with {{domxref("WebGL2RenderingContext.drawArraysInstanced()", "gl.drawArraysInstanced()")}} and {{domxref("WebGL2RenderingContext.drawElementsInstanced()", "gl.drawElementsInstanced()")}}.</p>

<div class="note">
<p><strong>Note:</strong> When using {{domxref("WebGLRenderingContext", "WebGL 1", "", 1)}}, the {{domxref("ANGLE_instanced_arrays")}} extension can provide this method, too.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.vertexAttribDivisor(<var>index</var>, <var>divisor</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the generic vertex attributes.</dd>
 <dt><code>divisor</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the number of instances that will pass between updates of the generic attribute.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.vertexAttribDivisor(0, 2);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.9", "vertexAttribDivisor")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glVertexAttribDivisor.xhtml", "glVertexAttribDivisor")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.vertexAttribDivisor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ANGLE_instanced_arrays.vertexAttribDivisorANGLE()")}}</li>
</ul>
